Signal/Geometry Processing Library (SPL) 1.1.24 |

Classes | Functions
M-Coder
Arithmetic Coders

M-Coder (binary arithmetic coder). More...

## Classes
class | SPL::MEncoder
| The M-Coder (binary) arithmetic encoder class. More...
class | SPL::MDecoder
| The M-Coder (binary) arithmetic decoder class. More...

## Functions
long | SPL::MEncoder::getSymCount () const
| Get the number of symbols that have been encoded so far. More...
long | SPL::MEncoder::getBitCount () const
| Get the number of bits (of encoded data) that have been output to the underlying bit stream so far. More...
int | SPL::MEncoder::getNumContexts () const
| Get the number of contexts. More...
OutputBitStream * | SPL::MEncoder::getOutput () const
| Get the bit stream being used for output. More...
void | SPL::MEncoder::setOutput (OutputBitStream *out)
| Set the bit stream to use for output. More...
long | SPL::MDecoder::getBitCount () const
| Get the number of bits read so far. More...
long | SPL::MDecoder::getSymCount () const
| Get the number of symbols decoded so far. More...
int | SPL::MDecoder::getNumContexts () const
| Get the number of contexts. More...
InputBitStream * | SPL::MDecoder::getInput () const
| Get the input bit stream (i.e., the bit stream from which encoded data is to be read). More...
void | SPL::MDecoder::setInput (InputBitStream *in)
| Set the input bit stream (i.e., the bit stream from which encoded data is to be read). More...

## Detailed Description

M-Coder (binary arithmetic coder).

## Function Documentation

long SPL::MEncoder::getBitCount | ( |  | ) | const
| inline

Get the number of bits (of encoded data) that have been output to the underlying bit stream so far.

long SPL::MDecoder::getBitCount | ( |  | ) | const
| inline

Get the number of bits read so far.

InputBitStream * SPL::MDecoder::getInput | ( |  | ) | const
| inline

Get the input bit stream (i.e., the bit stream from which encoded data is to be read).

int SPL::MEncoder::getNumContexts | ( |  | ) | const
| inline

Get the number of contexts.

int SPL::MDecoder::getNumContexts | ( |  | ) | const
| inline

Get the number of contexts.

OutputBitStream * SPL::MEncoder::getOutput | ( |  | ) | const
| inline

Get the bit stream being used for output.

long SPL::MEncoder::getSymCount | ( |  | ) | const
| inline

Get the number of symbols that have been encoded so far.

long SPL::MDecoder::getSymCount | ( |  | ) | const
| inline

Get the number of symbols decoded so far.

void SPL::MDecoder::setInput | ( | InputBitStream * | in | ) |
| inline

Set the input bit stream (i.e., the bit stream from which encoded data is to be read).

void SPL::MEncoder::setOutput | ( | OutputBitStream * | out | ) |
| inline

Set the bit stream to use for output.